use sea_query::Iden;

#[allow(dead_code)]
#[derive(Iden)]
pub enum ServerStatus {
    Table,
    IsBridge,
    Published,
    Nickname,
    Fingerprint,
    OrAddresses,
    LastSeen,
    FirstSeen,
    Running,
    Flags,
    Country,
    CountryName,
    AutonomousSystem,
    AsName,
    VerifiedHostNames,
    LastRestarted,
    ExitPolicy,
    Contact,
    Platform,
    Version,
    VersionStatus,
    EffectiveFamily,
    DeclaredFamily,
    Transport,
    BridgedbDistributor,
    Blocklist,
    LastChangedAddressOrPort,
    DiffOrAddresses,
    UnverifiedHostNames,
    UnreachableOrAddresses,
    OverloadRatelimitsVersion,
    OverloadRatelimitsTimestamp,
    OverloadRatelimitsRatelimit,
    OverloadRatelimitsBurstlimit,
    OverloadRatelimitsReadCount,
    OverloadRatelimitsWriteCount,
    OverloadFdExhaustedVersion,
    OverloadFdExhaustedTimestamp,
    OverloadGeneralTimestamp,
    OverloadGeneralVersion,
    FirstNetworkStatusDigest,
    FirstNetworkStatusEntryDigest,
    LastNetworkStatusDigest,
    LastNetworkStatusEntryDigest,
    FirstBridgeNetworkStatusDigest,
    FirstBridgeNetworkStatusEntryDigest,
    LastBridgeNetworkStatusDigest,
    LastBridgeNetworkStatusEntryDigest,
    LastNetworkStatusWeightsId,
    LastNetworkStatusTotalsId,
    LastServerDescriptorDigest,
    LastExtrainfoDescriptorDigest,
    LastBridgestrapStatsDigest,
    LastBridgestrapTestDigest,
    LastBridgePoolAssignmentsFileDigest,
    LastBridgePoolAssignmentDigest,
    FamilyDigest,
    AdvertisedBandwidth,
    Bandwidth,
    NetworkWeightFraction,
    BandwidthAvg,
    BandwidthBurst,
    BandwidthObserved,
    Ipv6DefaultPolicy,
    Ipv6PortList,
    SocksPort,
    DirPort,
    OrPort,
    IsHibernating,
}

#[allow(dead_code)]
#[derive(Iden)]
pub enum ServerDescriptor {
    Table,
    Published,
    Nickname,
    Fingerprint,
    DirPort,
    OrAddresses,
    BandwidthAvg,
    BandwidthBurst,
    BandwidthObserved,
    OverloadGeneralTimestamp,
    IsHibernating,
    ExitPolicy,
    Contact,
    Ipv6DefaultPolicy,
}

#[derive(Iden)]
pub enum ExitNode {
    Table,
    Fingerprint,
    Published,
    ExitAddresses,
}

#[derive(Iden)]
pub enum NetworkStatusEntry {
    Table,
    Digest,
    Nickname,
    Fingerprint,
}

#[derive(Iden)]
pub enum NetworkStatusEntryWeights {
    Table,
    WeightsId,
    Time,
    GuardWeightFraction,
    MiddleWeightFraction,
    ExitWeightFraction,
    NetworkStatusEntry,
}
